imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: services.yml }
    - { resource: "@AppBundle/Resources/config/admin.yml" }

# Put parameters here that don't need to change on each machine where the app is deployed
# http://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: en
    image_directory: '%kernel.root_dir%/../web/uploads/images'

framework:
    #esi: ~
    translator: { fallbacks: [en] } # необходимо включить переводчик для корректного отображения страниц


    secret: '%secret%'
    router:
        resource: '%kernel.project_dir%/app/config/routing.yml'
        strict_requirements: ~
    form: ~
    csrf_protection: ~
    validation: { enable_annotations: true }
    #serializer: { enable_annotations: true }
    templating:
        engines: ['twig']
    default_locale: '%locale%'
    trusted_hosts: ~
    session:
        # http://symfony.com/doc/current/reference/configuration/framework.html#handler-id
        handler_id: session.handler.native_file
        save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
    fragments: ~
    http_method_override: true
    assets: ~
    php_errors:
        log: true

# Twig Configuration
twig:
    globals:
        image_directory: "uploads/images/"

    debug: '%kernel.debug%'
    strict_variables: '%kernel.debug%'

# Doctrine Configuration
doctrine:
    dbal:
        driver: pdo_mysql
        host: '%database_host%'
        port: '%database_port%'
        dbname: '%database_name%'
        user: '%database_user%'
        password: '%database_password%'
        charset: UTF8
        # if using pdo_sqlite as your database driver:
        #   1. add the path in parameters.yml
        #     e.g. database_path: "%kernel.project_dir%/var/data/data.sqlite"
        #   2. Uncomment database_path in parameters.yml.dist
        #   3. Uncomment next line:
        #path: '%database_path%'

    orm:
        auto_generate_proxy_classes: '%kernel.debug%'
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true

# Swiftmailer Configuration
swiftmailer:
    transport: '%mailer_transport%'
    host: '%mailer_host%'
    username: '%mailer_user%'
    password: '%mailer_password%'
    spool: { type: memory }

fos_user:
    db_driver: orm # указываем что в качестве подключения к БД мы используем orm(Doctrine)
    firewall_name: main # имя которое мы указываем в файле security.yml
    user_class: AppBundle\Entity\User
    from_email:  # этот раздел используется для настройки отправки писем с подтверждением регистрации, он должен быть обязательно подключен
        address: "%mailer_user%"
        sender_name: "%mailer_user%"
    registration:
           form:
               type: AppBundle\Form\RegistrationType


sonata_block:
   default_contexts: [cms]
   blocks:
       # enable the SonataAdminBundle block
       sonata.admin.block.admin_list:
           contexts: [admin]
vich_uploader:
    db_driver: orm
    mappings:
        avatar_file:
            uri_prefix:         /images/avatars
            upload_destination: %kernel.root_dir%/../web/images/avatars
            namer:              vich_uploader.namer_uniqid